<?php
/**
 * Формирование html кода модального окна.
 * 
 * Серверная часть, принимает json данные из модального окна и отправляет разметку обратно.
 *
 * @author veselka.ua
 * @version 0.34
 *
 * @package veselka_ua/themes
 */

/**
 * Проверка легитимности запуска скрипта.
 */
require_once '__check.php';

/**
 * Не хешированные ключи JS.
 */
require_once '__proof.php';


/**
 * Формирование html кода модального окна.
 */
if( $_POST['proof'] == md5($proof['data_save']) ) {
	try{

		/**
		 * Проверка наличия данных формы (в данном случае только имени формы).
		 */
		if( !isset($_POST['form_name']) ) {
			throw new Exception('No form data!');
		}

		/**
		 * Инициализация Вордпресс.
		 */
		require_once '__wp.php';

		/**
		 * Получение данных телефонов.
		 */
		$phones = new ContactsPhones();

		// Экземпляр объекта обрабатывающего POST данные в зависимоти от ситуации
		$tools = new FormsModal( $phones );
		$modals = $tools->get_html();

		/**
		 * Результат работы в JS.
		 */
		echo json_encode($modals);

	}
	catch(Exception $e) {
		echo json_encode($e->getMessage());
	}
} else {
	throw new Exception('No data to save!');
}

?>